# Paperboat

## Project Description
Paperboat is an application and library that unifies several different projects (Baseline Recognition, Binarization, Calamari OCR) into one accessible package.
In addition, paperboat delivers a flexible framework to integrate new processing steps in a simple way into the existing framework.


## Installation

```
$ git clone "https://gitlab2.informatik.uni-wuerzburg.de/nof36hn/paperboat"
$ cd paperboat
$ python3.8 -m venv venv
$ source venv/bin/activate
$ pip install -r requirements.txt
$ pip setup.py install
```

## Running Segmentation + OCR

To run the whole pipeline (Binarization + Segmentation + OCR + PageXML output) run:
```
$ paperboat -o output_directory -- image_file.png
```
There are different presets available:
	- default (for historical documents)
	- modern (for modern documents)

Set the preset using the -p switch:
```
$ paperboat -p modern img1.png
```

It's possible to specify multiple images files to run at once.

Different models for segmentation or OCR can be specified using the cmdline-arguments.

```
--Dcalamari.model new_model.ckpt.json   # set calamari model
--Dsegmentation.model new_model.torch   # set segmentation model
```







## Usage as an Library
You can use Paperboat as a library from python in order to 

## Usage

