def test_config_set_and_update():
    from paperboat.configuration.file import Configuration
    base_config = {"a":1 , "b": "abc","c":{"d":3, "e":4}}
    config = Configuration(preset=base_config)
    config.set("c.e",5)
    config.set("c.f", "a")
    config.set("c.g.a", "a")
    config.set_dict({"a":3,"c":{"d":10}})
    # print(config.get_dict())
    assert config.get_dict()["c"]["d"] == 10
    assert config.get_dict()["c"]["e"] == 5
    assert config.get_dict()["a"] == 3
    assert config.get_dict()["b"] == "abc"
    assert config.get_dict()["c"]["f"] == "a"
    assert config.get_dict()["c"]["g"]["a"] == "a"

    config = Configuration()
    assert type(config.config) == dict


def test_parse_default_preset():
    from paperboat.configuration.presets import default
    import toml
    config = toml.loads(default)
    assert type(config) == dict
    assert len(config.items()) > 0